<html>
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="A landing page games" />
    <link rel="apple-touch-icon" sizes="180x180" href="dashboard/assets/icon/apple-touch-icon.png" />
    <link rel="icon" type="image/png" sizes="32x32" href="dashboard/assets/icon/favicon-32x32.png" />
    <link rel="icon" type="image/png" sizes="16x16" href="dashboard/assets/icon/favicon-16x16.png" />
    <link rel="manifest" href="dashboard/assets/icon/site.webmanifest" />
    <link rel="mask-icon" href="dashboard/assets/icon/safari-pinned-tab.svg" color="#5bbad5" />
    <meta name="apple-mobile-web-app-title" content="Simple Javascript Games" />
    <meta name="application-name" content="Simple Javascript Games" />
    <meta name="msapplication-TileColor" content="#da532c" />
    <meta name="theme-color" content="#ffffff" />
    <link href="dashboard/assets/dist/css/bootstrap.min.css" rel="stylesheet" />
    <link href="dashboard/styles/style.css" rel="stylesheet" />
  </head>
  <body id="login-form" class="d-flex">
    <div class="container bg-dark m-auto px-5 py-5 rounded-3">
      <h1 class="text-white">LIST OF MATCHES</h1>
      <div class="container">
        <div class="row">
          <div class="col-5">
            <!-- <h3></h3> -->
            <table>
              <tr>
                <th>Room ID</th>
                <th>Room Name</th>
                <th>Player 1 Username</th>
                <th>Player 2 Username</th>
                <th>Player 1 Choice</th>
                <th>Player 2 Choice</th>
                <th>Player 1 Score</th>
                <th>Player 2 Score</th>
                <th>Win</th>
                <th>Lose</th>
              </tr>
              <% games.forEach(game => { %>
              <tr>
                <td><%= game.id %></td>
                <td><%= game.roomname %></td>
                <td><%= game.p1username %></td>
                <td><%= game.p2username %></td>
                <td><%= game.p1choice %></td>
                <td><%= game.p2choice %></td>
                <td><%= game.p1score %></td>
                <td><%= game.p2score %></td>
                <td><%= game.win %></td>
                <td><%= game.lose %></td>
                </tr>
              <% }) %>
          </div>
        </div>
      </div>
    </div>
    <script>
        function hapus(username) {
            console.log(username)
            fetch('/dashboard', {
                method: 'DELETE',
                body: JSON.stringify({"username": username}), // string or object
                headers: {
                'Content-Type': 'application/json'
                }
            });
            document.location.reload(true)
        }
        
    </script>
  </body>
</html>
